Name:		perl-Regexp-Grammars
Version:	1.021
Release:	4%{?dist}
Summary:	Add grammatical parsing features to perl regular expressions
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Regexp-Grammars/
Source0:	http://www.cpan.org/authors/id/D/DC/DCONWAY/Regexp-Grammars-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Moose)
BuildRequires:	perl(Moose::Util::TypeConstraints)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%filter_from_provides /perl(Regexp)/d
%filter_provides_in %{_docdir}
%filter_setup


%description
This module adds a small number of new regular expressions constructs that
can be used to implement complete recursive-descent parsing.

These constructs use the grammar patterns that were added to perl's
regular expressions in perl 5.10.

%prep
%setup -q -n Regexp-Grammars-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}

%check
./Build test

%files
%doc Changes README demo/
%{perl_vendorlib}/Regexp/
%{_mandir}/man3/Regexp::Grammars.3pm*

%changelog
* Thu Sep 13 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.021-4
- remove explict requires for Data::Dumper and Scalar::Util

* Wed Sep 12 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.021-3
- update Requires and BuildRequires
- remove filter_from_requires
- filter out requirements of the demo scripts
- filter out perl(Regexp) from provides

* Mon Aug 27 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.021-2
- Remove BuildRoot

* Fri Aug 24 2012 Bill Pemberton <wfp5p@virginia.edu> - 1.021-1
- Initial version

